## org.eclipse.amp.amf.testing.ares
Interface Run

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RunImpl

    public interface Run

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Run'.

The following features are supported:

- `Model`
- `Test`
- `Parameterization`
- `Result`
- `Parameters`
- `Constraints`
- `Started`
- `Finished`
- `Results`

See Also:
  `AresPackage.getRun()`

Method Summary
`org.eclipse.emf.common.util.EList<Constraint>` `getConstraints()` Returns the value of the 'Constraints' containment reference list.
`java.util.Date` `getFinished()` Returns the value of the 'Finished' attribute.
`SContext` `getModel()` Returns the value of the 'Model' reference.
`Model` `getParameterization()` Returns the value of the 'Parameterization' reference.
`org.eclipse.emf.common.util.EList<Parameter>` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`ResultType` `getResult()` Returns the value of the 'Result' attribute.
`org.eclipse.emf.common.util.EList<ConstraintTest>` `getResults()` Returns the value of the 'Results' containment reference list.
`java.util.Date` `getStarted()` Returns the value of the 'Started' attribute.
`Model` `getTest()` Returns the value of the 'Test' reference.
`void` `setFinished(java.util.Date value)` Sets the value of the '`Finished`' attribute.
`void` `setModel(SContext value)` Sets the value of the '`Model`' reference.
`void` `setParameterization(Model value)` Sets the value of the '`Parameterization`' reference.
`void` `setResult(ResultType value)` Sets the value of the '`Result`' attribute.
`void` `setStarted(java.util.Date value)` Sets the value of the '`Started`' attribute.
`void` `setTest(Model value)` Sets the value of the '`Test`' reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getModel

    SContext getModel()

  Returns the value of the 'Model' reference.

  If the meaning of the 'Model' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model' reference.
  See Also:
    `setModel(SContext)`, `AresPackage.getRun_Model()`

### setModel

    void setModel(SContext value)

  Sets the value of the '`Model`' reference.

  Parameters:
    `value` - the new value of the 'Model' reference.
  See Also:
    `getModel()`

### getTest

    Model getTest()

  Returns the value of the 'Test' reference.

  If the meaning of the 'Test' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Test' reference.
  See Also:
    `setTest(Model)`, `AresPackage.getRun_Test()`

### setTest

    void setTest(Model value)

  Sets the value of the '`Test`' reference.

  Parameters:
    `value` - the new value of the 'Test' reference.
  See Also:
    `getTest()`

### getParameterization

    Model getParameterization()

  Returns the value of the 'Parameterization' reference.

  If the meaning of the 'Parameterization' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameterization' reference.
  See Also:
    `setParameterization(org.eclipse.amp.amf.parameters.aPar.Model)`, `AresPackage.getRun_Parameterization()`

### setParameterization

    void setParameterization(Model value)

  Sets the value of the '`Parameterization`' reference.

  Parameters:
    `value` - the new value of the 'Parameterization' reference.
  See Also:
    `getParameterization()`

### getResult

    ResultType getResult()

  Returns the value of the 'Result' attribute. The default value is `""`. The literals are from the enumeration `ResultType`.

  If the meaning of the 'Result' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result' attribute.
  See Also:
    `ResultType`, `setResult(ResultType)`, `AresPackage.getRun_Result()`

### setResult

    void setResult(ResultType value)

  Sets the value of the '`Result`' attribute.

  Parameters:
    `value` - the new value of the 'Result' attribute.
  See Also:
    `ResultType`, `getResult()`

### getParameters

    org.eclipse.emf.common.util.EList<Parameter> getParameters()

  Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`.

  If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `AresPackage.getRun_Parameters()`

### getConstraints

    org.eclipse.emf.common.util.EList<Constraint> getConstraints()

  Returns the value of the 'Constraints' containment reference list. The list contents are of type `Constraint`.

  If the meaning of the 'Constraints' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraints' containment reference list.
  See Also:
    `AresPackage.getRun_Constraints()`

### getStarted

    java.util.Date getStarted()

  Returns the value of the 'Started' attribute.

  If the meaning of the 'Started' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Started' attribute.
  See Also:
    `setStarted(Date)`, `AresPackage.getRun_Started()`

### setStarted

    void setStarted(java.util.Date value)

  Sets the value of the '`Started`' attribute.

  Parameters:
    `value` - the new value of the 'Started' attribute.
  See Also:
    `getStarted()`

### getFinished

    java.util.Date getFinished()

  Returns the value of the 'Finished' attribute.

  If the meaning of the 'Finished' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Finished' attribute.
  See Also:
    `setFinished(Date)`, `AresPackage.getRun_Finished()`

### setFinished

    void setFinished(java.util.Date value)

  Sets the value of the '`Finished`' attribute.

  Parameters:
    `value` - the new value of the 'Finished' attribute.
  See Also:
    `getFinished()`

### getResults

    org.eclipse.emf.common.util.EList<ConstraintTest> getResults()

  Returns the value of the 'Results' containment reference list. The list contents are of type `ConstraintTest`.

  If the meaning of the 'Results' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Results' containment reference list.
  See Also:
    `AresPackage.getRun_Results()`